#
# uxyz06.rb
#
# $Id: uxyz06.rb,v 1.1 2000/11/23 08:19:16 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


id0 = 19811201
nd = 720

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws

DCL::uzfact(0.8)
DCL::grfrm

rnd=nd
DCL::sgswnd(-180.0, 180.0, rnd, 0.0)
DCL::sgsvpt(0.2, 0.8, 0.2, 0.8)
DCL::sgstrn(1)
DCL::sgstrf

DCL::uxaxdv('B', 10.0, 60.0)
DCL::uxaxdv('T', 10.0, 60.0)
DCL::uxsttl('B', 'LONGITUDE', 0.0)

DCL::ucyacl('L', id0, nd)
DCL::uzlset('LABELYR', true)
DCL::uyaxdv('R', 20.0, 100.0)
DCL::uysttl('R', 'DAY NUMBER', 0.0)

DCL::uxmttl('T', 'UXAXDV/UCYACL', 0.0)

DCL::grcls

